TKN-HUB-INFO-TASK(1)

NAME

tkn-hub-info-task - Display info of Task by its name, catalog and version

SYNOPSIS

tkn hub info task

DESCRIPTION

Display info of Task by its name, catalog and version

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

--from=""
    Name of Catalog to which resource belongs.

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

--version=""
    Version of Resource

EXAMPLE

Display info of a Task of name 'foo':

    tkn hub info task foo

or

Display info of a Task of name 'foo' of version '0.3':

    tkn hub info task foo --version 0.3

SEE ALSO

tkn-hub-info(1)